package com.changhu.module.management.controller;

import com.changhu.common.db.enums.IsOrNot;
import com.changhu.common.db.enums.DeleteFlag;

import java.time.LocalDateTime;

import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.Sex;

import com.changhu.common.annotation.JsonBody;
import com.changhu.module.management.pojo.entity.ManagementPoliceUnitUser;
import lombok.Data;
import org.springframework.web.bind.annotation.*;

/**
 * @author 20252
 * @createTime 2024/8/28 下午4:02
 * @desc TestController...
 */
@JsonBody
@RequestMapping("/test")
public class TestController {

    @GetMapping("/get")
    public ManagementPoliceUnitUser get() {
        ManagementPoliceUnitUser managementPoliceUnitUser = new ManagementPoliceUnitUser();
        managementPoliceUnitUser.setPoliceUnitId(0L);
        managementPoliceUnitUser.setName("");
        managementPoliceUnitUser.setSex(Sex.MAN);
        managementPoliceUnitUser.setTelephone("");
        managementPoliceUnitUser.setSalt("");
        managementPoliceUnitUser.setPassword("");
        managementPoliceUnitUser.setIsEnable(IsEnable.TRUE);
        managementPoliceUnitUser.setIsAdmin(IsOrNot.IS);
        managementPoliceUnitUser.setSnowFlakeId(0L);
        managementPoliceUnitUser.setCreateBy(0L);
        managementPoliceUnitUser.setCreateTime(LocalDateTime.now());
        managementPoliceUnitUser.setUpdateBy(0L);
        managementPoliceUnitUser.setUpdateTime(LocalDateTime.now());
        managementPoliceUnitUser.setDeleteFlag(0);
        return managementPoliceUnitUser;
    }

    @PostMapping("/de")
    public void test(@RequestBody P p) {
        System.out.println(p);
    }


    @Data
    class P {
        private String name;
        private DeleteFlag deleteFlag;

    }
}
