package com.changhu.enums;

import com.changhu.enums.handler.AbstractLoginHandler;
import com.changhu.enums.handler.ManagementSuperLogin;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:19
 * @desc ClientType...
 */
@Getter
@AllArgsConstructor
public enum ClientType {
    MANAGEMENT_SUPER("management_super", "超级后台", ManagementSuperLogin.instance),
    MANAGEMENT_POLICE("management_police", "公安后台", ManagementSuperLogin.instance),
    MANAGEMENT_SECURITY("management_security", "保安后台", ManagementSuperLogin.instance),
    MINI_PROGRAM("mini_program", "微信小程序", ManagementSuperLogin.instance),
    ;

    private final String value;
    private final String remark;
    private final AbstractLoginHandler loginHandler;
}
